<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Controller;

use Sylius\Bundle\OrderBundle\Controller\OrderItemController;
use Sylius\Component\Order\Context\CartContextInterface;

class QuoteItemController extends OrderItemController
{
    public function getContext(): CartContextInterface
    {
        /** @var CartContextInterface $quoteContext */
        $quoteContext = $this->get('dedi_quote.context.quote');

        return $quoteContext;
    }
}
